# Package org.eclipse.microprofile.fault.tolerance.tck.exception.hierarchy

package org.eclipse.microprofile.fault.tolerance.tck.exception.hierarchy
A hierarchy of test exceptions

Exceptions in this package:

     The <: symbol denotes the subtyping relation (Foo <: Bar means "Foo is a subtype of Bar")
     Note that subtyping is reflexive (Foo <: Foo)

     E0  <: Exception
     E1  <: E0
     E2  <: E1
     E2S <: E2
     E1S <: E1, but E1S </: E2
     E0S <: E0, but E0S </: E1

Exceptions
Class
Description
E0
Subclass of Exception.
E0S
Subclass of E0 that isn't subclass of E1.
E1
Subclass of E0.
E1S
Subclass of E1 that isn't subclass of E2.
E2
Subclass of E1.
E2S
Subclass of E2.